Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.blocker
Class BlockerConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.blocker.BlockerConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class BlockerConfig
extends java.lang.Object
implements ConfigurationInfo

Blocker configuration class.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATR_NUMBER`
`static java.lang.String` | `MODULE_NAME` xml tags
`static java.lang.String` | `TAG_BLOCK_DEFINITION`
`static java.lang.String` | `TAG_BLOCK_RULE`
`static java.lang.String` | `TAG_CONTAINS`
`static java.lang.String` | `TAG_DEFAULT`
`static java.lang.String` | `TAG_EXACT`
`static java.lang.String` | `TAG_FIELD`
`static java.lang.String` | `TAG_GREATER_THAN`
`static java.lang.String` | `TAG_GREATER_THAN_EQUALS`
`static java.lang.String` | `TAG_HINT`
`static java.lang.String` | `TAG_LESS_THAN`
`static java.lang.String` | `TAG_LESS_THAN_EQUALS`
`static java.lang.String` | `TAG_LOWER`
`static java.lang.String` | `TAG_NOT_EQUALS`
`static java.lang.String` | `TAG_RANGE`
`static java.lang.String` | `TAG_SOURCE`
`static java.lang.String` | `TAG_SQL`
`static java.lang.String` | `TAG_STARTS_WITH`
`static java.lang.String` | `TAG_UPPER`

Constructor Summary
`BlockerConfig()` Creates a new instance of BlockerConfig

Method Summary
`void` | `addDefinition(BlockDefinition blockDef)` Add a block definition.
`int` | `finish()` Finish.
`BlockDefinition` | `getDefinition(java.lang.String id)` Get definition by id.
`java.util.Collection` | `getDefinitions()` Get definitions.
`java.lang.String` | `getModuleType()` Return String representing the module type
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.
`java.lang.String` | `toString()` Returns a String representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATR_NUMBER

    public static final java.lang.String ATR_NUMBER

See Also:
  Constant Field Values

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

  xml tags

  See Also:
    Constant Field Values

### TAG_BLOCK_DEFINITION

    public static final java.lang.String TAG_BLOCK_DEFINITION

See Also:
  Constant Field Values

### TAG_BLOCK_RULE

    public static final java.lang.String TAG_BLOCK_RULE

See Also:
  Constant Field Values

### TAG_CONTAINS

    public static final java.lang.String TAG_CONTAINS

See Also:
  Constant Field Values

### TAG_DEFAULT

    public static final java.lang.String TAG_DEFAULT

See Also:
  Constant Field Values

### TAG_EXACT

    public static final java.lang.String TAG_EXACT

See Also:
  Constant Field Values

### TAG_FIELD

    public static final java.lang.String TAG_FIELD

See Also:
  Constant Field Values

### TAG_GREATER_THAN

    public static final java.lang.String TAG_GREATER_THAN

See Also:
  Constant Field Values

### TAG_GREATER_THAN_EQUALS

    public static final java.lang.String TAG_GREATER_THAN_EQUALS

See Also:
  Constant Field Values

### TAG_HINT

    public static final java.lang.String TAG_HINT

See Also:
  Constant Field Values

### TAG_LESS_THAN

    public static final java.lang.String TAG_LESS_THAN

See Also:
  Constant Field Values

### TAG_LESS_THAN_EQUALS

    public static final java.lang.String TAG_LESS_THAN_EQUALS

See Also:
  Constant Field Values

### TAG_LOWER

    public static final java.lang.String TAG_LOWER

See Also:
  Constant Field Values

### TAG_NOT_EQUALS

    public static final java.lang.String TAG_NOT_EQUALS

See Also:
  Constant Field Values

### TAG_RANGE

    public static final java.lang.String TAG_RANGE

See Also:
  Constant Field Values

### TAG_SOURCE

    public static final java.lang.String TAG_SOURCE

See Also:
  Constant Field Values

### TAG_SQL

    public static final java.lang.String TAG_SQL

See Also:
  Constant Field Values

### TAG_STARTS_WITH

    public static final java.lang.String TAG_STARTS_WITH

See Also:
  Constant Field Values

### TAG_UPPER

    public static final java.lang.String TAG_UPPER

See Also:
  Constant Field Values

Constructor Detail

### BlockerConfig

    public BlockerConfig()

  Creates a new instance of BlockerConfig

Method Detail

### addDefinition

    public void addDefinition(BlockDefinition blockDef)

  Add a block definition.

  Parameters:
    `blockDef` - Block definition to add.

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getDefinition

    public BlockDefinition getDefinition(java.lang.String id)

  Get definition by id.

  Parameters:
    `id` - ID of block definition.
  Returns:
    block definition.

### getDefinitions

    public java.util.Collection getDefinitions()

  Get definitions.

  Returns:
    block definitions.

### getModuleType

    public java.lang.String getModuleType()

  Return String representing the module type

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    return String representing the module type

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### toString

    public java.lang.String toString()

  Returns a String representation of the object.

  Returns:
    String representation of the object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.